<?php
/*****************************************************************************
 * ID   : $Id: FileObject.php,v 1.1 2007/03/16 14:05:52 secondarykey Exp $
 * Name : 
 * Specifications :
 ****************************************************************************/
$gFileObject     = null;
$gFileReloadFlag = true;
class FileObject
{

	//データベース値	
	var $myFileArray = null;

	// コンストラクタ
	function FileObject() {
	}

	//インスタンスを取得	
	function getInstance() {
		
		global $gFileObject,$gFileReloadFlag;
		
		//生成されていない場合
		if ( $gFileObject == null ) {
			//生成する
			$gFileObject = new FileObject();
		}

		//読み込み指定がある場合	
		if ( $gFileReloadFlag == true ) {
			$gFileObject->reload();
		}
		return $gFileObject;
	}

	/**
	 * リロード設定に変更する
	 */	
	function setReload() {
		global $gFileReloadFlag;
		$gFileReloadFlag = true;
	}
	
	/**
	 * データ作成
	 */
	function reload() {
		//全件検索
		$file_tb = new file_tb;
		$fileArray = $file_tb->select();
		
		$this->myFileArray = array();
		if ( $fileArray == null ) {
			return;
		}
		//配列を準備	
		foreach ( $fileArray as $elm ) {
			$id = $elm->getID();
			$this->myFileArray[$id] = $elm;
		}
	}	

	/**
	 * データ取得
	 */	
	function get($aID) {
	}	

	/**
	 * ファイルのパス取得
	 */	
	function src($aID) {
		//オブジェクトを取得
		$fileObject = $this->myFileArray[$aID];
		//存在しない場合
		if ( $fileObject == null ) {
			return "";
		}
		//タグを取得	
		return $fileObject->getSrc();
	}
}
?>