<?php
/*****************************************************************************
 * ID   : $Id: log_tb.php,v 1.2 2007/08/18 08:15:49 secondarykey Exp $
 * Name :　ログテーブル操作
 * Specifications :　ログテーブルの処理を追加
 ****************************************************************************/
  class log_tb extends tables { 

 	/**
	 * 基底クラス使用変数
	 */
	var $myTableName        = "log_tb"; 
	var $myColumnName       = "id,name,detail,parent_id,page_id,editdate";
	var $myInsertColumnName = "name,detail,parent_id,page_id,editdate";
	var $myOrgWhere         = "id";
	var $myOrderBy          = "editdate desc";
	
	/**
	 * メンバ変数
	 **/	
 	var $myID;	
	var $myParentID;
	var $myPageID;
	var $myName;	
	var $myDetail;
	var $myEditDate;	
  
	/**
	 * 表挿入用のデータ
	 */
	function getInsertValue() {
		return "'" . $this->myName      . "'," . 
		        "'" . $this->myDetail    . "'," . 
		              $this->myParentID  . "," . 
		              $this->myPageID    . "," . 
		        "'" . $this->myEditDate  . "'";
	}	
	
	/**
	 * 更新用のデータ
	 */
	function getUpdateValue() {
		return " name = '"     . $this->myName      . "'," . 
                " detail = '"   . $this->myDetail    . "'," .
                " parent_id = " . $this->myParentID  . "," .
                " page_id = "   . $this->myPageID    . "," .
                " editdate = '" . $this->myEditDate  . "'";
	}	

	/**
	 * オブジェクト生成
	 */
	function createObject($aRow) {
		$obj = new 	log_tb();
		$obj->setID($aRow->id);
		$obj->setName($aRow->name);
		$obj->setDetail($aRow->detail);
		$obj->setParentID($aRow->parent_id);
		$obj->setPageID($aRow->page_id);
		$obj->setEditDate($aRow->editdate);
		return $obj;
	}

	/**
	 * 
	 */	
	function selectByRSS($aParentID=-1) {

		//カウントを取得
		$cnt = $this->getCount();	
		$limit = SiteObject::get("SITE_RSS");

		//コネクションを取得
		$con = DatabaseAccess::getConnection();
		//SQLを設定
		$sql = "select " . $this->myColumnName . " from " . $this->myTableName;
		//指定がある場合
		if ( $aParentID != -1 ) {
			//検索対象を少なくする
        	$sql = $sql . " where parent_id = " . $aParentID;
		}
        $sql = $sql . " order by " . $this->myOrderBy . " limit " . $limit . " offset 0";
 
		//SQLを実行
		$query = mysql_query($sql,$con);
		if ( $query == FALSE ) {
			return null; 
		}
		//カウントを取得
  		$count = mysql_num_rows($query);
  		//０件だった場合
		if($count == 0 ){
			mysql_free_result($query);
			return null;
		}
		$idx = 0;
		$rtn = array();
		//オブジェクト数回繰り返す
		while ( $row = mysql_fetch_object($query) ) {
			$obj = $this->createObject($row);
			$rtn[$idx] = $obj;
			++$idx;
		}
		//結果は使用側が行うこと
		mysql_free_result($query);
		return $rtn;
	}

	/**
	 * ページIDの持つログを削除する
	 */
	function deleteByPageID($aPageID) {
		//コネクションを取得	
		$con = DatabaseAccess::getConnection();
		$sql = "delete from " . $this->myTableName .
		       " where page_id = ". $aPageID;
 		$rtn = mysql_query($sql,$con);
 		//更新への行数がわからない
 		if ( $rtn == null ) {
			return FALSE;
		}
		return TRUE;	
	}

  	function getID() {
		return $this->myID;
	}

	function getName() {
		return $this->myName;
	}
	
	function getDetail() {
		return $this->myDetail;
	}
	
	function getParentID() {
		return $this->myParent_ID;
	}
	
	function getPageID() {
		return $this->myPageID;
	}

	function getEditDate() {
		return $this->myEditDate;
	}
	
	function setID($aID) {
		$this->myID = $aID;
	}
	
	function setName($aName) {
		$this->myName = $aName;
	}
	
	function setDetail($aDetail) {
		$this->myDetail = $aDetail;
	}
	
	function setParentID($aParentID) {
		$this->myParentID = $aParentID;
	}
	
	function setPageID($aPageID) {
		$this->myPageID = $aPageID;
	}
	
	function setEditDate($aEditDate) {
		$this->myEditDate = $aEditDate;
	}
  } 
?>
