<?php
/*****************************************************************************
 * ID   : $Id: template_site_tb.php,v 1.1 2007/03/16 14:05:52 secondarykey Exp $
 * Name : 
 * Specifications :
 ****************************************************************************/
class template_site_tb extends tables { 

 	/**
	 * 基底クラス使用変数
	 */
	var $myTableName        = "template_site_tb"; 
	var $myColumnName       = "id,name,detail";
	var $myInsertColumnName = "name,detail";
	var $myOrgWhere         = "id";
	var $myOrderBy          = "id";
	
	/**
	 * メンバ変数
	 **/	
 	var $myID;	
	var $myName;	
	var $myDetail;	
  
	/**
	 * 表挿入用のデータ
	 */
	function getInsertValue() {
		return "'" . $this->myName     . "'," . 
		        "'" . $this->myDetail   . "'";
	}	
	
	/**
	 * 更新用のデータ
	 */
	function getUpdateValue() {
		return " name = '"     . $this->myName     . "'," . 
                " detail = '"   . $this->myDetail   . "'";
	}	

	/**
	 * オブジェクト生成
	 */
	function createObject($aRow) {
		$obj = new 	template_site_tb();
		$obj->setID($aRow->id);
		$obj->setName($aRow->name);
		$obj->setDetail($aRow->detail);
		return $obj;
	}
	
	function getTemplateDirectory() {
		return SiteObject::get("TEMPLATE_SITE_PATH");
	}
	
	function getTemplateFileName($aID) {
		return template_site_tb::getTemplateDirectory() . $aID . ".tpl";	
	}
	
	function createTemplateFile($aID) {
		$fileName = template_site_tb::getTemplateFileName($aID);	
		touch($fileName);
		chmod($fileName,0666);
		return;
	}

	function getTemplateData($aID) {
		//ファイル名を取得
		$fileName = template_site_tb::getTemplateFileName($aID);	
		$fh=fopen($fileName,"r");
		$data = fgets($fh);
		fclose($fh);
		return $data;
	}
	
	function updateTemplateData($aID,$aData) {
		//ファイル名を取得
		$fileName = template_site_tb::getTemplateFileName($aID);	
		$fh=fopen($fileName,"w");
		if ( $aData != "" ) {
			$value = str_replace("\x0D\x0A", "\x0D", $aData); 
			$wkvalue = str_replace("\\", "", $value); 
			fputs($fh,$wkvalue);
		}
		fclose($fh);
		return;
	}
	
	function deleteTemplateData($aID) {
		//ファイル名を取得
		$fileName = template_site_tb::getTemplateFileName($aID);	
		$fh=unlink($fileName);
		return;
	}

	function getSelection($aID,$aName='template_site_id',$aEmpty=false) {

		//戻り値に名称を設定
		$rtn = '<select name="' . $aName . '">';
		//空白指定がある場合	
		if ( $aEmpty ) {
			$opt_val = '<option value="null">指定しない</option>';
			//一覧に追加
			$rtn = $rtn . $opt_val;
		}
		$template_site_tb = new template_site_tb;
		//テンプレートを全件取得
		$tmp_array = $template_site_tb->select();

		//テンプレート数回繰り返す	
		foreach ($tmp_array as $elm) {
			$id   = $elm->getID();	
			$name = $elm->getName();	
			$selected = "";
			//同一IDだった場合
			if ($id == $aID ) {
				//選択対象にする
				$selected = " selected";
			}
			//データを作成
			$opt_val = '<option value="' . $id . '"' . $selected . '>' . $name . '</option>';
			//一覧に追加
			$rtn = $rtn . $opt_val;
		}
		//タグを閉じる
		$rtn = $rtn . '</select>';
		return $rtn;
	} 
  
  	function getID() {
		return $this->myID;
	}

	function getName() {
		return $this->myName;
	}
	
	function getDetail() {
		return $this->myDetail;
	}
	
	function setID($aID) {
		$this->myID = $aID;
	}
	
	function setName($aName) {
		$this->myName = $aName;
	}
	
	function setDetail($aDetail) {
		$this->myDetail = $aDetail;
	}
  } 
  
  
?>
