<?php
/*****************************************************************************
 * ID   : $Id: page_editing.php,v 1.2 2007/08/18 08:09:05 secondarykey Exp $
 * Name : ページ表示
 * Specifications :ページ表示のPHP
 ****************************************************************************/
//全クラスの読み込み
require_once('application.php');

$smarty = new SmtTemplate;
//リンク相対パス
$smarty->assign('relative','../');

$id = "";
//IDの設定がある場合
if ( isset($_GET['id']) ) {
	//IDを設定
	$id = $_GET['id'];
} else {
	//ページのルートを取得
	$id = PAGE_ROOTID;
}

//********************************************************

//ページを検索する
$page_tb = new page_tb();
$page_array = $page_tb->selectByID($id);
//存在しない場合
if ( $page_array == null ) {
	echo "すでに削除されているようです。";
	exit;
}

$page_obj = $page_array[0];

//ページのオブジェクトを取得
$name             = $page_obj->getName();
$detail           = $page_obj->getDetail();
$alias            = $page_obj->getAlias();
$parent_id        = $page_obj->getParent_ID();
$template_site_id = $page_obj->getTemplate_Site_ID();
$template_page_id = $page_obj->getTemplate_Page_ID();
$createdate       = $page_obj->getCreateDate();
$editdate         = $page_obj->getEditDate();
$priority         = $page_obj->getPriority();

//サイトのセレクションボックスを取得
$selection_site   = template_site_tb::getSelection($template_site_id);
//ページのセレクションボックスを取得
$selection_page   = template_page_tb::getSelection($template_page_id);

//テンプレートデータを設定
$smarty->assign('id',$id);
$smarty->assign('parent_id',$parent_id);
$smarty->assign('name',$name);
$smarty->assign('detail',$detail);
$smarty->assign('alias',$alias);
$smarty->assign('selection_site',$selection_site);
$smarty->assign('selection_page',$selection_page);
$smarty->assign('createdate',$createdate);
$smarty->assign('editdate',$editdate);
$smarty->assign('priority',$priority);

//********************************************************

//表示テンプレート
$smarty->display('page/page_editing.tpl');
 
?>