<?php
/*****************************************************************************
 * ID   : $Id: template_page_editing.php,v 1.2 2007/08/18 08:05:01 secondarykey Exp $
 * Name : ページテンプレート詳細画面
 * Specifications : ページテンプレート詳細画面もしくは削除の実行
 ****************************************************************************/

//全クラスの読み込み
require_once('application.php');

/********************************************************/
$submit_Name = $_POST['exec'];
//リクエストするテンプレートをエディトページにする

if ( $submit_Name == "insert" || $submit_Name == "update") {
	
	$smarty = new SmtTemplate;
	//ボタン設定
	$smarty->activeButton('template');
	//リンク相対パス
	$smarty->assign('relative','../');

	//各属性のデフォルトを指定する
	$pageListNum                = "null";
	$pageListPageNum            = "null";
	$childrenListNum            = "null";
	$childrenListPageNum        = "null";
	$childrenListTemplateSiteID = "null";
	$childrenListTemplatePageID = "null";
	
	//更新の場合
	if ( $submit_Name == "update") {
		//検索してテンプレート設定
		$id = $_POST['id'];
		//サイトテンプレートを生成する
		$template_page_tb = new template_page_tb;
		//検索を行う
		$objArray = $template_page_tb->selectByID($id);
		$obj = $objArray[0];
	
		//テンプレートに設定	
		$smarty->assign('id',$id);
		$smarty->assign('name',$obj->getName());
		$smarty->assign('detail',$obj->getDetail());
	
		$template_path = "template_page_editor.php?id=" . $id;
		$smarty->assign('template_path',$template_path);

		//属性定義を検索
		$attribute_path = "template_page_attribute.php?id=" . $id;
		$smarty->assign('attribute_path',$attribute_path);
		
		$pageListNum                = $obj->getPageListNum();
		$pageListPageNum            = $obj->getPageListPageNum();
		$childrenListNum            = $obj->getChildrenListNum();
		$childrenListPageNum        = $obj->getChildrenListPageNum();
		$childrenListTemplateSiteID = $obj->getChildrenTemplateSiteID();
		$childrenListTemplatePageID = $obj->getChildrenTemplatePageID();
	}

	//ページテンプレートの属性を取得	
	$selectPageListNum         = template_page_tb::getNumberSelection($pageListNum,100,'pageListNum',true);
	$selectPageListPageNum     = template_page_tb::getNumberSelection($pageListPageNum,20,'pageListPageNum',true);
	$selectChildrenListNum     = template_page_tb::getNumberSelection($childrenListNum,100,'childrenListNum',true);
	$selectChildrenListPageNum = template_page_tb::getNumberSelection($childrenListPageNum,20,'childrenListPageNum',true);
	$selectTemplateSiteList    = template_site_tb::getSelection($childrenListTemplateSiteID,'template_site_id',true);
	$selectTemplatePageList    = template_page_tb::getSelection($childrenListTemplatePageID,'template_page_id',true);
	
	//各値を設定
	$smarty->assign('pageListNum',$selectPageListNum);
	$smarty->assign('pageListPageNum',$selectPageListPageNum);
	$smarty->assign('childrenListNum',$selectChildrenListNum);
	$smarty->assign('childrenListPageNum',$selectChildrenListPageNum);
	$smarty->assign('template_site_id',$selectTemplateSiteList);
	$smarty->assign('template_page_id',$selectTemplatePageList);

	//機能テンプレート設定
	$smarty->assign('proc_template','template/template_page_editing.tpl');
	//サブテンプレート設定
	$smarty->assign('sub_template','template/template_page_frame.tpl');
	//表示テンプレート
	$smarty->display('frame.tpl');	

} else if ( $submit_Name == "delete") {

	//検索してテンプレート設定
	$id = $_POST['id'];
	
	//使用しているページがないか検索
	$pageTb = new page_tb();
	$pageArray = $pageTb->selectByTemplatePageID($id);
	//存在しない場合
	if ( $pageArray == null || count($pageArray) == 0 ) {
		//ページテンプレートを生成する
		$template_page_tb = new template_page_tb;
		//削除する	
		$template_page_tb->delete($id);
		//テンプレートも削除
		$template_page_tb->deleteTemplateData($id);

		//属性テーブルをDROP
		$pageAttrTb = new page_attribute_tb();
		$pageAttrTb->drop($id);
		
		//スキーマを削除
		$schema = new schema_tb;
		$schema->delete($id);
	}
	
	header("Location: template_page_view.php");
}
/********************************************************/

?>
